/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : July, 1997                                                     */
/* File Name : RotationFinder.h                                          */
/*************************************************************************/
/*  Finds the Rotations Randomly
*/
/*************************************************************************/

#ifndef _ROTATIONFINDER_H
#define _ROTATIONFINDER_H

#include "FlightGraph.h"
#include "City.h"
#include "AirScheduleProblem.h"
#include <List.h>

typedef List<Flight> ListOfFlights;

class RotationFinder
{
   public :
      RotationFinder(FlightGraph _flightGraph, City *baseCities, 
		     unsigned _bSize, AirScheduleProblem * _myProblem);
      virtual ~RotationFinder();

      List<ListOfFlights> findRotations();

   private :

          FlightGraph  myFlightGraph;
                 City  *myBaseCities;
             unsigned  NumberOfBaseCities;
   AirScheduleProblem  *myProblem;
             unsigned  DEBUG; 
   
}; // end of Class RotationFinder

#endif
